# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::LoadWriterMD2 Class Reference

The LoadWriterMD2 class is a ResourceLoadWriter capable of reading MD2 files. More...

`#include <ioMD2.hpp>`

Inheritance diagram for vl::LoadWriterMD2:

List of all members.

## Public Member Functions

| LoadWriterMD2 ()
ref< ResourceDatabase > | loadResource (const String &path) const
ref< ResourceDatabase > | loadResource (VirtualFile *file) const
bool | writeResource (const String &, ResourceDatabase *) const
| Not supported yet.
bool | writeResource (VirtualFile *, ResourceDatabase *) const
| Not supported yet.

## Detailed Description

The LoadWriterMD2 class is a ResourceLoadWriter capable of reading MD2 files.

Definition at line 52 of file ioMD2.hpp.

## Constructor & Destructor Documentation

vl::LoadWriterMD2::LoadWriterMD2 | ( | ) | `[inline]`

Definition at line 57 of file ioMD2.hpp.

## Member Function Documentation

ref<ResourceDatabase> vl::LoadWriterMD2::loadResource | ( | const String & | path ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 59 of file ioMD2.hpp.

References vl::loadMD2().

ref<ResourceDatabase> vl::LoadWriterMD2::loadResource | ( | VirtualFile * | file ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 64 of file ioMD2.hpp.

References vl::loadMD2().

bool vl::LoadWriterMD2::writeResource | ( | const String & | ,
|  | ResourceDatabase * |
| ) |  | const`[inline, virtual]`

Not supported yet.

Implements vl::ResourceLoadWriter.

Definition at line 70 of file ioMD2.hpp.

bool vl::LoadWriterMD2::writeResource | ( | VirtualFile * | ,
|  | ResourceDatabase * |
| ) |  | const`[inline, virtual]`

Not supported yet.

Implements vl::ResourceLoadWriter.

Definition at line 76 of file ioMD2.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/ioMD2.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:42.
Permission is granted to use this page to write and publish articles regarding Visualization Library.